function init(hero) {
    hero.setName("Red Guardian/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("MCU");
    hero.setTier(3);
   
    hero.setHelmet("item.superhero_armor.piece.helmet");   
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:captain_americas_shield");

    hero.addPowers("uhp:kgb_super_soldier_serum", "fiskheroes:shield_throwing");
	
    hero.addAttribute("FALL_RESISTANCE", 5.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 8.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.30, 1);
    hero.addAttribute("WEAPON_DAMAGE", 0.5, 0);
   
    hero.addKeyBind("SHIELD_THROW", "key.shieldThrow", 1);

    hero.setHasPermission(hasPermission);
	
}

function hasPermission(entity, permission) {
    return permission == "USE_SHIELD";
}